<template>
  <div id="app">
    <router-view v-if="isRouterAlive"/>
    <deep-seek-assistant/>
  </div>
</template>

<script>
import DeepSeekAssistant from '@/components/DeepSeekAssistant'

export default {
  name: 'App',
  components: {
    DeepSeekAssistant
  },
  provide() {
    return {
      reload: this.reload
    }
  },
  data() {
    return {
      isRouterAlive: true
    }
  },
  methods: {
    reload() {
      this.isRouterAlive = false
      this.$nextTick(function() {
        this.isRouterAlive = true
      })
    }
  }
}
</script>
